import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Typography } from "@mui/joy";
import { Box, Grid } from "@mui/material";
import { useTranslation } from "react-i18next";
import nerdUII18n from "../i18n";
/**
 *
 * @param {NerdAppsMenuProps} props Component props
 * @returns {ReactElement} NerdAppsMenu
 */
export default function NerdAppsMenu(props) {
    const { apps, appIconHeight, appIconWidth } = props;
    return (_jsx(Grid, { container: true, padding: "10px", children: apps.map((app, i) => {
            return (_jsx(Grid, { item: true, xs: 4, sm: 3, children: _jsx(AppIcon, { iconHeigt: appIconHeight, iconWidth: appIconWidth, app: app }) }, app.name?.concat(i.toString())));
        }) }));
}
/**
 *
 * @param {object} props Component props
 * @param {App} props.app App to render
 * @param {number | undefined} props.iconWidth App icon width
 * @param {number | undefined} props.iconHeigt App to render
 * @returns {ReactElement} AppIcon
 */
function AppIcon(props) {
    const { app, iconHeigt, iconWidth } = props;
    const _iconHeigt = iconHeigt || 40;
    const _iconWidth = iconWidth || 40;
    const { t } = useTranslation("components", { i18n: nerdUII18n });
    return (_jsxs(Box, { sx: {
            display: "flex",
            flexDirection: "column",
            width: 80,
            textAlign: "center",
            p: 0.5,
        }, children: [app.url ? (_jsx("a", { href: `https://${app.url}`, style: {
                    textDecoration: "none",
                    width: _iconWidth,
                    height: _iconHeigt,
                    margin: "auto",
                }, children: _jsx("img", { src: app.icon
                        ? app.icon
                        : "https://storage.googleapis.com/archer-public/assets/default-logo.png", alt: t("nerdAppsMenu.app_icon_alt"), width: _iconWidth, height: _iconHeigt, style: {
                        borderRadius: "20%",
                    } }) })) : null, _jsx(Typography, { level: "body3", noWrap: true, children: app.name })] }));
}
