import { ButtonProps } from "@mui/material";
import React, { ReactElement } from "react";
export interface NerdNotificationProps {
    uuid: string;
    icon?: ReactElement;
    showIcon?: boolean;
    variant?: "intrusive" | "non-intrusive";
    severity?: "error" | "warning" | "info" | "success";
    title?: string | JSX.Element;
    subtitle?: string | JSX.Element;
    body?: string | JSX.Element;
    actions?: JSX.Element;
    autohide?: boolean;
    autoHideDuration?: number;
    transition?: "up" | "down" | "left" | "right";
    position?: {
        vertical: "top" | "bottom";
        horizontal: "left" | "right" | "center";
    };
    iconColor?: string;
    color?: string;
    unstyled?: boolean;
    actionPrimaryProps?: ButtonProps;
    actionSecondaryProps?: ButtonProps;
}
export interface NerdNotifierProps {
    children?: React.ReactNode;
    notification: NerdNotificationProps;
    onClose?: (event?: Event | React.SyntheticEvent<Element, Event> | undefined, reason?: string | undefined) => void;
}
